Page MenuHomePhabricator

`{$encLogo}` returns wrong path in local MediaWiki 1.26 installation
Closed, DuplicatePublic

Description

On local Apache installation before doing composer install you'll get an error screen, where the logo doesn't show up. The corresponding output is <img src="\/resources/assets/mediawiki.png" alt="The MediaWiki logo">, so the path is set wrong.

Event Timeline

Volker_E created this task.Jul 29 2015, 4:12 PM
Volker_E raised the priority of this task from to Needs Triage.
Volker_E updated the task description. (Show Details)
Volker_E added a project: MediaWiki-General.
Volker_E added a subscriber: Volker_E.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 29 2015, 4:12 PM
Aklapper triaged this task as Low priority.Jul 30 2015, 11:08 AM
Aklapper set Security to None.

I tried reproducing the same in various branches like :
$ git checkout origin/wmf/1.26wmf1 - it shows up error message 'Error: LightnCandy class not defined' - as no composer update

$ git checkout origin/wmf/1.26wmf9 { to wmf/1.26wmf17 } - shows the logo alright, and the error message : MediaWiki 1.26 internal error
correctly!

Is the bug already fixed ?

saper added a subscriber: saper.Oct 23 2015, 9:59 PM

This should be fixed with T75031 (and again with T116374). I'd appreciate feedback on https://gerrit.wikimedia.org/r/248321 if that fixes this issue finally.